Description: clamp excess floats to sane values to prevent denormal exceptions
Origin: https://svn.code.sf.net/p/pure-data/svn/trunk/externals/bsaylor@17463
Last-Update: 2016-02-22
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- pd-bsaylor.orig/svf~.c
+++ pd-bsaylor/svf~.c
@@ -56,9 +56,11 @@
         in = sv->qnrm * in ;
         for (i=0; i < F_R; i++) {
                 // only needed for pentium chips
-	  // OLD VERSION
-	   in = FLUSH_TO_ZERO(in);
-	   sv->l = FLUSH_TO_ZERO(sv->l);
+                if(PD_BIGORSMALL(in)) in = 0.;
+                if(PD_BIGORSMALL(sv->l)) sv->l = 0.;
+        // OLD VERSION
+        //in = FLUSH_TO_ZERO(in);
+        //sv->l = FLUSH_TO_ZERO(sv->l);
 	  // new versions, thanks to Damon Chaplin, inserted by Ed Kelly, not yet working!!!
 	  //in  = ((int)in & 0x7f800000)==0?0.0f:in;
 	   //sv->l = ((int)sv->l & 0x7f800000)==0?0.0f:sv->l;
